Bug 45569 - /usr/bin/tcl has an empty RPATH.
/usr/bin/tcl has an empty RPATH.
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-06-22 18:52 EDT by hjl
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-27 17:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A patch (557 bytes, patch)
2001-06-22 19:31 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2001-06-22 18:52:36 EDT
# readelf -d usr/bin/tcl

Dynamic segment at offset 0x99c contains 24 entries:
  Tag        Type                         Name/Value
 0x00000001 (NEEDED)                     Shared library: [libtclx8.2.so]
 0x00000001 (NEEDED)                     Shared library: [libtcl8.3.so]
 0x00000001 (NEEDED)                     Shared library: [libdl.so.2]
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]
 0x0000000f (RPATH)                      Library rpath: []
 0x0000000c (INIT)                       0x804862c

There shouldn't be a enmpty RPATH. It means the current directory.
Comment 1 hjl 2001-06-22 19:31:13 EDT
Created attachment 21605 [details]
A patch
Comment 2 Eido Inoue 2001-07-09 12:28:33 EDT
Thanks for the patch. Will be included in the next beta/rawhide.

Note You need to log in before you can comment on or make changes to this bug.